package cn.com.qmth.stmms.admin.vo;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class TagStudentVO {

    @ExcelField(title = "科目代码", align = 2, sort = 10)
    private String subjectCode;

    @ExcelField(title = "学号", align = 2, sort = 20)
    private String studentCode;

    @ExcelField(title = "总分", align = 2, sort = 30)
    private Double totalScore;

    public TagStudentVO() {

    }

    public TagStudentVO(ExamStudent student) {
        this.subjectCode = student.getSubjectCode();
        this.studentCode = student.getStudentCode();
        this.totalScore = student.getTotalScore();
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

}
